# QGraphicsItemAnimation Class Reference

### [com.trolltech.qt.gui package]

Inherits QObject.

### Constructor

- void QGraphicsItemAnimation(QObject parent)

### Constructor Properties

- prototype: The QGraphicsItemAnimation prototype object

### Prototype Object Properties

The QGraphicsItemAnimation prototype object inherits properties from the QObject prototype object and also has the following properties.

- void clear()
- qreal horizontalScaleAt(qreal step)
- qreal horizontalShearAt(qreal step)
- QGraphicsItem item()
- QMatrix matrixAt(qreal step)
- QPointF posAt(qreal step)
- List posList()
- qreal rotationAt(qreal step)
- List rotationList()
- List scaleList()
- void setItem(QGraphicsItem item)
- void setPosAt(qreal step, QPointF pos)
- void setRotationAt(qreal step, qreal angle)
- void setScaleAt(qreal step, qreal sx, qreal sy)
- void setShearAt(qreal step, qreal sh, qreal sv)
- void setTimeLine(QTimeLine timeLine)
- void setTranslationAt(qreal step, qreal dx, qreal dy)
- List shearList()
- QTimeLine timeLine()
- List translationList()
- qreal verticalScaleAt(qreal step)
- qreal verticalShearAt(qreal step)
- qreal xTranslationAt(qreal step)
- qreal yTranslationAt(qreal step)

### Instance Properties

QGraphicsItemAnimation objects have no special properties beyond those inherited from the QGraphicsItemAnimation prototype object.